#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.3
visibility:           public
id:                   kan-extensions-5.2.3-95ufmSCYooF2PdCH04drXG
key:                  kan-extensions-5.2.3-95ufmSCYooF2PdCH04drXG
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  a94e9f1f652d02b6c69e35e8fdc4e953
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/kan-extensions-5.2.3
hs-libraries:         HSkan-extensions-5.2.3-95ufmSCYooF2PdCH04drXG
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-Bepn3AMHpFZBmGDWnUuc2q array-0.5.4.0 base-4.15.0.0
    comonad-5.0.8-7ZD3vJiSkJ9KLZntCLSVPv containers-0.6.4.1
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    distributive-0.6.2.1-4sl5FWB7wWZJ4iTegtchK2
    free-5.1.7-KlHZxmZl9SRM53CYGgR2R
    invariant-0.5.4-HrEDtwIi17q5ljBS5cl0Am mtl-2.2.2
    profunctors-5.6.2-8LK9djUomX64BO5XqJOwvk
    semigroupoids-5.3.6-47hA1lTQQky3VJbnFsiSuF
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 transformers-0.5.6.2
    transformers-compat-0.7.1-27E2wCklav6CMkj1Ns7rzE

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

